summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorSimo Fält <simo.falt@qt.io>2018-03-22 16:04:53 +0200
committerTony Sarajärvi <tony.sarajarvi@qt.io>2018-04-16 03:32:20 +0000
commit6a06c4b4fe7fad6595252ac035fc0c05627b62c6 (patch)
tree36d92ee40b3443e73f9dd7b67e9f5c8c1cbbd576
parent6c8307abf6f4683282ea13cb6fb9f9b116d56fbc (diff)
Revert "Install Python 2.7.13 to RHEL with pip"wip/navigation
This reverts commit 794913dde77e9a2918353894a33d03b16e6927c4, which seems to break pyside builds. Instead we install python-pip package from the EPEL repository. Change-Id: Ic84680b0b0d6950d389bb42a6add18c83256f00f Reviewed-by: Tony Sarajärvi <tony.sarajarvi@qt.io>
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-7.4-x86_64/04-install-packages.sh11
1 files changed, 6 insertions, 5 deletions
diff --git a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/04-install-packages.sh b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/04-install-packages.sh
index 754b89d1..a0fa62a9 100755
--- a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/04-install-packages.sh
+++ b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/04-install-packages.sh
@@ -63,8 +63,8 @@ installPackages+=(gtk3-devel)
installPackages+=(libusbx-devel)
# speech-dispatcher-devel for QtSpeech, otherwise it has no backend on Linux
installPackages+=(speech-dispatcher-devel)
-# Python 2.7 with python-devel, pip and virtualenv
-installPackages+=(python27)
+# Python 2 devel and pip. python-pip requires the EPEL repository to be added
+installPackages+=(python-devel python-pip)
# Python 3 with python-devel, pip and virtualenv
installPackages+=(rh-python36)
# WebEngine
@@ -98,8 +98,9 @@ installPackages+=(libwayland-server)
sudo yum -y install "${installPackages[@]}"
-# Make python 2.7 and its pip default
-echo "source scl_source enable python27" >> ~/.bashrc
-
sudo ln -s /opt/rh/rh-python36/root/usr/bin/python3 /usr/local/bin/python3
sudo ln -s /opt/rh/rh-python36/root/usr/bin/pip3 /usr/local/bin/pip3
+# We shouldn't use yum to install virtualenv. The one found from package repo is not
+# working, but we can use installed pip
+sudo pip install --upgrade pip
+sudo pip install virtualenv